Search found 2 matches

by Ligaroub
30 Nov 2019 03:07
Forum: Gameplay issues
Topic: ProMods incompatible 3
Replies: 3
Views: 262

Re: ProMods incompatible 3

Thank you for the answer. I will have to go back to 1.34.
by Ligaroub
29 Nov 2019 02:37
Forum: Gameplay issues
Topic: ProMods incompatible 3
Replies: 3
Views: 262

ProMods incompatible 3

This is not an answer but anotehr question on the same subject. Since I don't have the Beyond the Baltc DLC I decided to install ProMod 2.33 which only requires Going East!, Scandinavia, Vive la France! and Italia DLC. Those four DLC are installed along with ETS2 version 1.35.1.31 (64-bit). But in t...